## Class Auth_OpenID_GenericConsumer

Description

This class is the interface to the OpenID consumer logic.

Instances of it maintain no per-request state, so they can be reused (or even used by multiple threads concurrently) as needed.

Located in /Auth/OpenID/Consumer.php (line 568)

Variable Summary
mixed $openid1_return_to_identifier_name
mixed $store
Method Summary
Auth_OpenID_GenericConsumer Auth_OpenID_GenericConsumer ( &$store, Auth_OpenID_OpenIDStore $store, bool $immediate)
Variables
mixed $openid1_return_to_identifier_name = 'openid1_claimed_id' (line 594)

Another query parameter that gets added to the return_to for OpenID 1; if the user's session state is lost, use this claimed identifier to do discovery when verifying the response.

mixed $store (line 577)

This consumer's store object.

Methods
Constructor Auth_OpenID_GenericConsumer (line 614)

This method initializes a new Auth_OpenID_Consumer instance to access the library.

Auth_OpenID_GenericConsumer Auth_OpenID_GenericConsumer ( &$store, Auth_OpenID_OpenIDStore $store, bool $immediate)

- Auth_OpenID_OpenIDStore $store: This must be an object that implements the interface in Auth_OpenID_OpenIDStore. Several concrete implementations are provided, to cover most common use cases. For stores backed by MySQL, PostgreSQL, or SQLite, see the Auth_OpenID_SQLStore class and its sublcasses. For a filesystem-backed store, see the Auth_OpenID_FileStore module. As a last resort, if it isn't possible for the server to store state at all, an instance of Auth_OpenID_DumbStore can be used.
- bool $immediate: This is an optional boolean value. It controls whether the library uses immediate mode, as explained in the module description. The default value is False, which disables immediate mode.
- &$store

Documentation generated on Tue, 21 Apr 2009 11:31:30 -0700 by phpDocumentor 1.3.2